[openstreetmap/openstreetmap-website] Supporting multiple API versions (#2353)

Andy Allan notifications at github.com
Wed Aug 28 09:29:10 UTC 2019


I've updated this PR so that the test suite passes, and it's now ready for review.

Currently only a few routes have been adapted for multiple API version support, namely:

* capabilities
* permissions
* changesets

I intend to work on the rest of the routes in subsequent PRs. The settings in this PR ensure that only 0.6 is deployed by default, so it can be merged without any side effects.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/openstreetmap/openstreetmap-website/pull/2353#issuecomment-525662489
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openstreetmap.org/pipermail/rails-dev/attachments/20190828/869a1346/attachment.html>


More information about the rails-dev mailing list